Webhooks
List retries for a webhook
Retrieve all retry attempts for a specific webhook including timestamps and delivery details. Returns a list of retry attempts with unique identifiers, timestamps, and links to the parent webhook with total count. Essential for tracking webhook delivery failures, analyzing retry patterns, and debugging webhook notification issues to ensure reliable event processing.
GET
/
webhooks
/
{id}
/
retries
cURL
GET https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8/retries
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var webhookUrl =
"https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8";
dwolla.get(`${webhookUrl}/retries`).then((res) => res.body.total); // => 1
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
webhook_url = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8'
retries = app_token.get('%s/retries' % webhook_url)
retries.body['total'] # => 1
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$webhookUrl = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8';
$webhooksApi = new DwollaSwagger\WebhooksApi($apiClient);
$retries = $webhooksApi->retriesById($webhookUrl);
$retries->total; # => 1
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
webhook_url = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8'
retries = app_token.get "#{webhook_url}/retries"
retries.total # => 1
{
"_links": {
"self": {
"href": "https://api.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8/retries"
}
},
"_embedded": {
"retries": [
{
"_links": {
"self": {
"href": "https://api.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8/retries/5aa27a0f-cf99-418d-a3ee-67c0ff99a494"
},
"webhook": {
"href": "https://api.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8"
}
},
"id": "5aa27a0f-cf99-418d-a3ee-67c0ff99a494",
"timestamp": "2022-11-02T17:43:26.000Z"
}
]
},
"total": 1
}{
"code": "NotFound",
"message": "The requested resource was not found."
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
FlowClient Credentials
- Token URL
- /token
Headers
The media type of the response. Must be application/vnd.dwolla.v1.hal+json
Available options:
application/vnd.dwolla.v1.hal+json Path Parameters
Webhook unique identifier
Was this page helpful?
⌘I
cURL
GET https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8/retries
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
var webhookUrl =
"https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8";
dwolla.get(`${webhookUrl}/retries`).then((res) => res.body.total); // => 1
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
webhook_url = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8'
retries = app_token.get('%s/retries' % webhook_url)
retries.body['total'] # => 1
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$webhookUrl = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8';
$webhooksApi = new DwollaSwagger\WebhooksApi($apiClient);
$retries = $webhooksApi->retriesById($webhookUrl);
$retries->total; # => 1
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
webhook_url = 'https://api-sandbox.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8'
retries = app_token.get "#{webhook_url}/retries"
retries.total # => 1
{
"_links": {
"self": {
"href": "https://api.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8/retries"
}
},
"_embedded": {
"retries": [
{
"_links": {
"self": {
"href": "https://api.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8/retries/5aa27a0f-cf99-418d-a3ee-67c0ff99a494"
},
"webhook": {
"href": "https://api.dwolla.com/webhooks/9ece9660-aa34-41eb-80d7-0125d53b45e8"
}
},
"id": "5aa27a0f-cf99-418d-a3ee-67c0ff99a494",
"timestamp": "2022-11-02T17:43:26.000Z"
}
]
},
"total": 1
}{
"code": "NotFound",
"message": "The requested resource was not found."
}